--effectsWindow:Message(10, "Test", GondorTreeIcon, false)

--messageWindow:Message(5, "To enable sound effects you have to", nil, false)
--messageWindow:Message(5, "start logging your main chat window!", nil, false)

--[[
local backPack = Player:GetBackpack()

for i = 1, backPack:GetSize(), 1 do
    local item1 = backPack:GetItem(i)
    if item1 ~= nil then 
        local item = item1:GetItemInfo()
        ChatOutput(item:GetName() .. item:GetIconImageID()) 
    end
end
--]]

--[[
local effectList = Player:GetEffects()

local PlayerEffects = {}
for i = 1, effectList:GetCount(), 1 do
    PlayerEffects[effectList:Get(i):GetName()] = true
    ChatOutput(effectList:Get(i):GetName() .. " " .. effectList:Get(i):GetIcon())
end 
--]]
--for key, value in pairs(Turbine) do
--    ChatOutput(key)
--end

--[[
local tskills = Player:GetTrainedSkills()

for i = 1, Player:GetTrainedSkills():GetCount(), 1 do
    local item = tskills:GetItem(i)--:GetSkillInfo()
    ChatOutput(item:GetSkillInfo():GetName())
    if item:GetSkillInfo():GetName() == "Air-lore" then
        item.ResetTimeChanged = function()
            ChatOutput("X")
        end
    end

end
--]]


--[[
for key, value in pairs(TestTable) do
    ChatOutput(ConvertEntry(key))
    ChatOutput(RecoverEntry(ConvertEntry(key)))
    ChatOutput(ConvertEntry(value))
    ChatOutput(RecoverEntry(ConvertEntry(value)))
end
--]]

--[[
TODO:
Cleanup dungeon log code
Add daily/weekly quests to loot window

Need Testing:
Cleanup loot window code -- Needs Testing
Add first time use setup/tutorial -- Needs testing
Increase raid command permissions -- Needs testing
Finish pvp timers -- Needs testing
Skilloverlay click on skill fix -- Needs testing

DONE:
Add swap commands to prime help -- DONE
]]

--[[
TestWindow = class(Turbine.UI.Window)
function TestWindow:Constructor()
    Turbine.UI.Window.Constructor(self)
    self:SetVisible(true)
    self:SetPosition(500, 500)
    self:SetSize(400, 400)
    self:SetBackColor(GetRandomColour())

    local TargetSelections = {}

    local container = Turbine.UI.ListBox()
    container:SetParent(self)
    container:SetSize(400, 400)
    container:SetPosition(0, 0)
    --container:SetBackColor(GoldColor)
    container:SetVisible(true)
    container:SetWantsKeyEvents(true)
    container:SetMouseVisible(false)

    local EControl = Turbine.UI.Lotro.EntityControl()
    EControl:SetParent (self)
    EControl:SetVisible (true)
    EControl:SetPosition (200, 200)
    EControl:SetSize(100, 100)
    EControl:SetEntity(Player)
    EControl:SetBackColor(GetRandomColour())

    Player.TargetChanged = function()
        if Player:GetTarget() ~= nil then 

            local listItem = Turbine.UI.Control();
            listItem:SetVisible(true)
            listItem:SetSize( 100, 15 );

            local E = Turbine.UI.Lotro.EntityControl()
            E:SetParent (listItem)
            E:SetVisible (true)
            E:SetSize(100, 15)
            E:SetEntity(Player:GetTarget())
            E:SetBackColor(GetRandomColour())


            container:AddItem( listItem );


            TargetSelections[Player:GetTarget():GetName()] = Player:GetTarget()
        end
        for key, value in pairs(TargetSelections) do
            ChatOutput(key .. " " .. value:GetName())
        end
        ChatOutput(tablelength(TargetSelections))
        ChatOutput(EControl:GetEntity():GetName())
    end
end

--t = TestWindow()

--]]


--[[
TestWindow = class(Turbine.UI.Control)
function TestWindow:Constructor()
    Turbine.UI.Control.Constructor(self)

    self.Targets = {}
    self.TargetsFunction = {}

    Player.TargetChanged = function()

        ChatOutput("X")
        if Player:GetTarget() ~= nil then
            local target = Player:GetTarget()
            target.MoraleChanged = function()
                ChatOutput("Y")
            end
            self.Targets[Player:GetTarget():GetName()] = target
            self.TargetsFunction[Player:GetTarget():GetName()] = target.MoraleChanged
        end
    end

    self.Update = function()
        for key, value in pairs(self.Targets) do
            --ChatOutput(key)
            --ChatOutput(value:GetMorale())

        end
    end

    self:SetWantsUpdates(true)

end

TestWindow()
--]]
--[[
TestViewer = class(Turbine.UI.Window)
function TestViewer:Constructor()
    Turbine.UI.Window.Constructor(self)
    self.width = 1024
    self.height = 1024
    self:SetPosition(0, 0)
    self:SetSize(self.width, self.height)
    --self:SetBackColor(GetRandomColour())
    self:SetVisible(true)
    self:SetMouseVisible(false)
    self:SetBackground(0x411F9DFA) --0x41000912 ice --0x411AE441 blood --0x41142E03  0x4114B070
    self:SetStretchMode(1)
    self:SetSize(1920, 1080)
    self:SetOpacity(1)
    self:SetWantsKeyEvents(true)

    self.startingID = 1092592681--1092591217
     --self:SetBackground(self.startingID)

    self.KeyDown = function(sender, args)
        if args["Action"] == 268435468 then
            self.startingID = self.startingID + 1
            ChatOutput(self.startingID)
                self:SetBackground(self.startingID)
        end
    end
    self:SetWantsUpdates(true)

    self.LastUpdate = 0

    self.Update = function()

            self.startingID = self.startingID + 1
            ChatOutput(self.startingID)
            self:SetBackground(self.startingID)
    end

end

x = TestViewer()
--]]

TestViewer = class(Turbine.UI.Window)
function TestViewer:Constructor()
    Turbine.UI.Window.Constructor(self)
    self.width = 500
    self.height = 500
    self:SetPosition(200, 200)
    self:SetSize(self.width, self.height)
    self:SetBackColor(Turbine.UI.Color(0,0,0))
    self:SetVisible(true)
    self:SetMouseVisible(false)
    --self:SetBackground(0x411F9DFA) --0x41000912 ice --0x411AE441 blood --0x41142E03  0x4114B070
    self:SetStretchMode(1)
    --self:SetSize(1920, 1080)
    --self:SetOpacity(1)
    self:SetWantsKeyEvents(true)

    for i = 1, 8, 1 do
        local show = Turbine.UI.Control()
        show:SetParent(self)
        show:SetSize(32, 32)
        show:SetBackColor(Turbine.UI.Color(1, 0, 0))
        show:SetBackground(SkullIcon)
        show:SetPosition(50 * i, 32)
        show:SetBackColorBlendMode(3) -- alphablend
        show:SetBlendMode(i)
    end

end

x = TestViewer()

for key, value in pairs(Turbine.UI.Control) do
    ChatOutput(tostring(key))
    ChatOutput(tostring(value))
end


for key, value in pairs(Turbine.UI.BlendMode) do
    ChatOutput(tostring(key))
    ChatOutput(tostring(value))
end