Settings = LoadTable(Turbine.DataScope.Character, "PrimeBagSettings")

function GetDefaultSettings()
    Settings = {}

    Settings.BagX = Turbine.UI.Display.GetWidth() - 250
    Settings.BagY = Turbine.UI.Display.GetHeight() - 225
    Settings.BagWidth = 300
    Settings.BagHeight = 300

    Settings.Reload = false
    Settings.Version = PluginVersion
end

if Settings == nil or Settings.Reload == true then
    GetDefaultSettings()
end

function UpdateSettings()
    local tempSettings = Settings
    GetDefaultSettings()
    for key, value in pairs(tempSettings) do
        if Settings[key] ~=  nil then
            Settings[key] = value
        end
    end

    Settings.Version = plugin:GetVersion()
end



function SaveData()
    
    Settings.BagX, Settings.BagY = Bag:GetPosition()
    Settings.BagWidth, Settings.BagHeight = Bag:GetSize()

    SaveTable(Turbine.DataScope.Character, "PrimeBagSettings", Settings)
end